Bug 593696 - Empty list of simple_allow_users causes sssd service to fail while restart.
Empty list of simple_allow_users causes sssd service to fail while restart.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Stephen Gallagher
Chandrasekar Kannan
:
Depends On: 593644
Blocks: 579775
  Show dependency treegraph
 
Reported: 2010-05-19 10:16 EDT by Dmitri Pal
Modified: 2015-01-04 18:42 EST (History)
7 users (show)

See Also:
Fixed In Version: sssd-1.2.0-14.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 593644
Environment:
Last Closed: 2010-11-10 16:39:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2010-05-19 10:16:41 EDT
+++ This bug was initially created as a clone of Bug #593644 +++

Description of problem:
Empty list of simple_allow_users causes sssd service to fail while start/restart.

Version-Release number of selected component (if applicable):
sssd-1.1.92-11.el6.x86_64

How reproducible:


Steps to Reproduce:
1. Configure sssd with access_provider as simple.
2. Make sure you keep "simple_allow_users" parameter blank.
3. Restart sssd service.
  
Actual results:
(Fri Apr 23 17:38:18 2010) [sssd] [confdb_init_db] (0): Failed to initialize DB (21,[Element simple_allow_users has empty attribute in ldb message (cn=LDAP,cn=domain,cn=config)!]), aborting!
(Fri Apr 23 17:38:18 2010) [sssd] [load_configuration] (0): ConfDB initialization has failed [Input/output error]

Expected results:
Empty simple_allow_users list shouldn't be a failure to start, should just be a warning that no users will be granted access.

Additional info:
Comment 1 Dmitri Pal 2010-05-19 10:18:30 EDT
We will address this post beta 2.
Comment 2 RHEL Product and Program Management 2010-05-19 10:35:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Gowrishankar Rajaiyan 2010-07-26 06:27:08 EDT
SSSD starts/restarts successfully with the following message in its logs when "simple_allow_users" parameter is blank:

[sssm_simple_access_init] (9): Allow user list is empty.


Verified in sssd-1.2.1-20.el6.x86_64.
Comment 5 releng-rhel@redhat.com 2010-11-10 16:39:43 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.